| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::ScanController::FileMetadataWrite Class Reference

When writing metadata to the file, the file content on disk changes, but the information is taken from the database; therefore, the resulting scanning process can be optimized. More...

## Public Member Functions
| FileMetadataWrite (const ItemInfo &info)
void | changed (bool wasChanged)

## Protected Attributes
bool | m_changed = false
ItemInfo | m_info

## Detailed Description

Thus, if you write metadata of an ItemInfo from the database to disk, do this in the scope of a FileMetadataWrite object.